SD_JOURNAL_GET_DATA(3)

NAME
sd_journal_get_data, sd_journal_enumerate_data, sd_journal_enumerate_available_data, sd_journal_restart_data, SD_JOURNAL_FOREACH_DATA, sd_journal_set_data_threshold, sd_journal_get_data_threshold - Read data fields from the current journal entry

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_get_data(sd_journal *j, const char *field, const void **data, size_t *length);

int sd_journal_enumerate_data(sd_journal *j, const void **data, size_t *length);

int sd_journal_enumerate_available_data(sd_journal *j, const void **data, size_t *length);

void sd_journal_restart_data(sd_journal *j);

SD_JOURNAL_FOREACH_DATA(sd_journal *j, const void *data, size_t length);

int sd_journal_set_data_threshold(sd_journal *j, size_t sz);

int sd_journal_get_data_threshold(sd_journal *j, size_t *sz);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_get_data, sd_journal_enumerate_data, sd_journal_restart_data, sd_journal_set_data_threshold, sd_journal_get_data_threshold and the macro SD_JOURNAL_FOREACH_DATA do nothing.

RETURN VALUE

sd_journal_get_data() returns -ENOENT. sd_journal_restart_data() returns nothing. sd_journal_enumerate_data(), sd_journal_set_data_threshold() and sd_journal_get_threshold() return 0.

SEE ALSO

elogind(8), elogind.journal-fields(7), sd_journal_open(3), sd_journal_next(3), sd_journal_get_realtime_usec(3), sd_journal_query_unique(3)